Uploaded image for project: 'Spring Tool Suite'
  1. Spring Tool Suite
  2. STS-3756

Roo tools unusable: "loader constraint violation: ... "org/osgi/framework/BundleContext"

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 3.5.0.RC2
    • Fix Version/s: 3.5.0.RELEASE
    • Component/s: ROO
    • Labels:
    • Environment:
      RC4 actually, but that's not a choice.

      Description

      Regardless of roo version, external, or internal downloaded via the IDE add-ons manager, no roo shell will launch.

      After installing roo, starting STS shows:

      An internal error occurred during: "Initializing Spring Roo Tooling".
      loader constraint violation: loader (instance of org/eclipse/osgi/internal/baseadaptor/DefaultClassLoader) previously initiated loading for a different type with name "org/osgi/framework/BundleContext"

      Project specific roo settings show not installed roo instances in the roo version dropdown.

        Attachments

          Activity

            People

            • Assignee:
              kdvolder Kris De Volder
              Reporter:
              bedge Bruce Edge
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: